Loading...
Searching...
No Matches
CxxTest::ValueTraits< const CXXTEST_STD(string)> Class Reference

`#include <StdValueTraits.h>`

## Public Member Functions

| ValueTraits (const CXXTEST_STD(string) &s)
const char * | asString (void) const
Public Member Functions inherited from CxxTest::StdTraitsBase
StdTraitsBase & | operator<< (const CXXTEST_STD(string) &s)
const char * | asString () const

## Private Types

enum |

## Private Attributes

char | _asString [sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]

## Detailed Description

Definition at line 47 of file StdValueTraits.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Definition at line 76 of file ValueTraits.h.

{ MAX_BYTES = 8 };
CxxTest::ValueTraits< const CXXTEST_STD(string)>::MAX_BYTES
@ MAX_BYTES
Definition ValueTraits.h:76

## Constructor & Destructor Documentation

## ValueTraits()

CxxTest::ValueTraits< const CXXTEST_STD(string)>::ValueTraits | ( | const CXXTEST_STD(string) & | s | ) |

inline

Definition at line 50 of file StdValueTraits.h.

{
*this << "\"";
for ( unsigned i = 0; i < s.length(); ++ i ) {
char c[sizeof("\\xXX")];
charToString( s[i], c );
*this << c;
}
*this << "\"";
}
CxxTest::ValueTraits
Definition ValueTraits.h:75
CxxTest::charToString
char * charToString(unsigned long c, char *s)
Definition ValueTraits.cpp:48

## Member Function Documentation

## asString()

const char * CxxTest::ValueTraits< const CXXTEST_STD >::asString | ( | void |  | ) | const

inline

Definition at line 81 of file ValueTraits.h.

{ return _asString; }
CxxTest::ValueTraits< const CXXTEST_STD(string)>::_asString
char _asString[sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]
Definition ValueTraits.h:77

## Field Documentation

## _asString

char CxxTest::ValueTraits< const CXXTEST_STD >::_asString[sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]

private

Definition at line 77 of file ValueTraits.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/StdValueTraits.h